Summary:	C++ wrapper for cairo
Summary(pl.UTF-8):	Interfejs C++ do cairo
Name:		cairomm
Version:	1.10.0
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://cairographics.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	9c63fb1c04c8ecd3c5e6473075b8c39f
URL:		http://cairographics.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	cairo-devel >= 1.10.0
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	libsigc++-devel >= 2.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	mm-common >= 0.8
BuildRequires:	pkgconfig
Requires:	cairo >= 1.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrapper for cairo.

%description -l pl.UTF-8
Interfejs C++ do cairo.

%package devel
Summary:	Development files for cairomm library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki cairomm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.8.0
Requires:	libsigc++-devel >= 2.0

%description devel
Development files for cairomm library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki cairomm.

%package static
Summary:	Static cairomm library
Summary(pl.UTF-8):	Statyczna biblioteka cairomm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static cairomm library.

%description static -l pl.UTF-8
Statyczna biblioteka cairomm.

%package apidocs
Summary:	cairomm API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki cairomm
Group:		Documentation

%description apidocs
API and internal documentation for cairomm library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki cairomm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build
%{__automake}
%{__autoconf}
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcairomm-1.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libcairomm-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcairomm-1.0.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcairomm-1.0.so
%{_libdir}/cairomm-1.0
%{_includedir}/cairomm-1.0
%{_pkgconfigdir}/cairomm-1.0.pc
%{_pkgconfigdir}/cairomm-ft-1.0.pc
%{_pkgconfigdir}/cairomm-pdf-1.0.pc
%{_pkgconfigdir}/cairomm-png-1.0.pc
%{_pkgconfigdir}/cairomm-ps-1.0.pc
%{_pkgconfigdir}/cairomm-svg-1.0.pc
%{_pkgconfigdir}/cairomm-xlib-1.0.pc
%{_pkgconfigdir}/cairomm-xlib-xrender-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcairomm-1.0.a

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/cairomm-1.0
%{_datadir}/devhelp/books/cairomm-1.0
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cairomm.git;a=log;h=master

* Sat Jul 13 2013 Marcin Krol <hawk@tld-linux.org> c9f9dcb
- release 2 (by relup.sh)

* Tue May 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 6642722
- updated to 1.10.0

* Tue Apr 12 2011 Artur Frysiak <artur@frysiak.net> 934e348
- up to 1.9.8, merged from DEVEL
- drop libtool file

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 4f18b4b
- mm version

* Tue Nov 09 2010 Caleb Maclennan <caleb@alerque.com> 7d8fe61
- Down to 1.8.x stable branch, up to 1.8.6. Patch removal from mistaken upgrade to devel branch still relevant, applied in upstream 1.8.x

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> 9e1f3af
- Up to 1.9.6
- Removed patch applied upstream

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> d45e5dd
- unified files order

* Sat Sep 18 2010 Jakub Bogusz <qboosh@pld-linux.org> 6477247
- -devel R: libsigc++-devel

* Tue Feb 09 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 7dad41b
- updated to 1.8.4
- added -typo.patch

* Tue Feb 09 2010 Marcin Banasiak <marcin.banasiak@gmail.com> a0d9da3
- fixes typo in configure.ac

* Fri Nov 27 2009 sparky <sparky@pld-linux.org> 75e755e
- BR: graphviz (required for documentation) and libsigc++-devel

* Thu Jul 09 2009 hawk <hawk@pld-linux.org> 4a4e8d6
- updated to 1.8.2, API/ABI breakage introduced in 1.8.0 was reverted

* Wed Jun 17 2009 hawk <hawk@pld-linux.org> 239900c
- release 2

* Tue Feb 03 2009 Jakub Bogusz <qboosh@pld-linux.org> 73d7faf
- updated to 1.8.0

* Fri Nov 07 2008 Paweł Sikora <pluto@pld-linux.org> f3f4b30
- release 2.

* Thu Nov 06 2008 Szymon Siwek <sls@pld-linux.org> 4e5d9fa
- BR: doxygen

* Tue Sep 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 0540ed0
- updated to 1.6.4

* Tue Aug 19 2008 Jakub Bogusz <qboosh@pld-linux.org> f57c7e0
- updated to 1.6.2

* Sun Apr 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 4546d51
- updated to 1.6.0

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> c4dd6b6
- updated to 1.4.8

